"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RxPostmessengerRequest = /** @class */ (function () {
    function RxPostmessengerRequest(id, channel, payload, responseInjector) {
        this.isHandled = false;
        Object.defineProperties(this, {
            _injectResponse: { value: responseInjector },
            channel: { value: channel },
            id: { value: id },
            payload: { value: payload },
        });
    }
    RxPostmessengerRequest.prototype.respond = function (data) {
        if (this.isHandled) {
            return;
        }
        this._injectResponse(data);
        Object.defineProperty(this, 'isHandled', { value: true });
    };
    return RxPostmessengerRequest;
}());
exports.RxPostmessengerRequest = RxPostmessengerRequest;
//# sourceMappingURL=RxPostmessengerRequest.js.map